Bug 807607 - RESTAPI: Extend host_nics action with UpdateNetworks
RESTAPI: Extend host_nics action with UpdateNetworks
Status: CLOSED WONTFIX
Product: oVirt
Classification: Community
Component: ovirt-engine-api (Show other bugs)
unspecified
x86_64 Linux
unspecified Severity medium
: ---
: ---
Assigned To: Moti Asayag
Network
:
Depends On:
Blocks: 329781
  Show dependency treegraph
 
Reported: 2012-03-28 06:26 EDT by Avi Tal
Modified: 2016-04-22 00:59 EDT (History)
8 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2012-12-16 01:57:29 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Avi Tal 2012-03-28 06:26:40 EDT
SetupNetwork feature is missing a very important update implementation.

VDSM is able to receive nics collection which describe which nics will be updated and handle only those nics.
This implementation is missing from backend. It automatically treat missing nics as nics we would like to remove.

A very buggy scenario would be, missing mgmt network.

The idea is to send (via REST API) a collection which contain only the interfaces (nics) we would like to update. 

This is actually an UPDATE collection procedure. it could be added as a different action:
http://engine ip:port/hosts/id/nics/updatenetworks
Comment 1 Michael Pasternak 2012-03-28 06:35:49 EDT
Roy, can you remind me what was the reason/s not implementing
setupnetworks via PUT?
Comment 2 Roy Golan 2012-05-16 08:18:47 EDT
setupnetworks is a creation API, it builds networks and removes others by sending the FULL desired topology to the backend. 

PUT shall allow you to send a small portion of the topology for update
i.e

PUT /api/hosts/{id}/nics

host_nics
 host_nic
  name: em1.300
  boot_protocol: dynamic
Comment 3 Itamar Heim 2012-12-16 01:57:29 EST
Closing old bugs. If this issue is still relevant/important in current version, please re-open the bug.

Note You need to log in before you can comment on or make changes to this bug.